/*

 Author: CHiggins
 Date:   3/20/2014
 Descr:  GPS

Date      Author            Description
=======================================
20140320    Chris Higgins     Initial testing
 
*/


int pin_5V = A0;
int pin_3V3 = A1;
double pin_5V_input = 0;
double pin_3V3_input = 0;
double voltage = 0.0;


void setup() {
    Serial.begin(9600);
    
    Serial.println();
    Serial.println("TESTING: POWERv1 BOARD:");
    Serial.println("-----------------------");
    delay(100);
    
    Serial.print("5V:  ");
    pin_5V_input = analogRead(pin_5V);
    voltage = (pin_5V_input/1023)*5;
    Serial.print(voltage);
    if ((voltage > 3.9) && (voltage < 5.0)) {
        Serial.println (" - PASSED!");
    }
    else {
        Serial.println (" - FAILED VOLTAGE TEST!");
    }
    delay(100);
    
    Serial.print("3V3: ");
    pin_3V3_input = analogRead(pin_3V3);
    voltage = (pin_3V3_input/1023)*5;
    Serial.print(voltage);
    if ((voltage > 3.0) && (voltage < 4.0)) {
        Serial.println (" - PASSED!");
    }
    else {
        Serial.println (" - FAILED VOLTAGE TEST!");
    }
}


//-------------------------------------------------------
// LOOP
//-------------------------------------------------------

void loop() {
  
}
